/*

  SysBar/2 Utility Set  version 0.21

  Task Switcher resource definitions

  ..................................................................

  Copyright (c) 1995-1999  Dmitry I. Platonoff
                           All rights reserved

                         dplatonoff@canada.com

  ..................................................................

  LICENSE
  ~~~~~~~
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above
     copyright notice, this list of conditions and the following
     disclaimer in the documentation and/or other materials provided
     with the distribution.

  3. Redistributions of any form whatsoever, as well as all
     advertising materials mentioning features or use of this
     software (if any), must include the following acknowledgment:
     "This product includes software developed by Dmitry I. Platonoff".

  4. The names "SysBar/2" and "Dmitry I. Platonoff" must not be
     used to endorse or promote products derived from this software
     without prior written permission. For such permission, please
     contact dplatonoff@canada.com.

  5. Products derived from this software may not be called
     "SysBar/2" nor may "Dmitry I. Platonoff" appear in their
     contributor lists without prior written permission.

  ..................................................................

  DISCLAIMER
  ~~~~~~~~~~
  THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
  AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
  AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/

#define ICO_MAIN                 1

#define DLG_SETTINGS             200
#define D_Display                201
#define D_Mouse_Swap             203
#define D_Size                   204
#define D_Size_Small             205
#define D_Size_Large             206
#define D_Size_Fit               207
#define D_Size_Custom            208
#define D_Size_Size              209
#define D_Grow                   210
#define D_Grow_East              211
#define D_Grow_South             212
#define D_Grow_West              213
#define D_Grow_North             214
#define D_Font_Settings          215
#define D_Cell_Color             216
#define D_Display_None           220
#define D_Display_OnTop          221
#define D_Display_Popup          222
#define D_Display_Popup2         223
#define D_Bind_Corner            230
#define D_Bind_Off               231
#define D_Bind_NW                232
#define D_Bind_SE                235
#define D_Bind_NE                233
#define D_Bind_SW                234
#define D_Lock_Position          240
#define D_Switchlist_Titles      241
#define D_Fixed_SizeX            242
#define D_Fixed_Size             243
#define DLG_SETTINGS2            244
#define D_Fixed_SizeT            245

#define MNU_SW                   300
#define MNU_SW_CLOSE             302
#define MNU_SW_SAVE              304
#define MNU_SW_SWAPBUTTONS       305
#define MNU_SW_PROPERTIES        307
#define MNU_SW_TASKLIST          308
#define MNU_SW_ORIENTATION       310
#define MNU_SW_ORNT_EAST         311
#define MNU_SW_ORNT_SOUTH        312
#define MNU_SW_ORNT_WEST         313
#define MNU_SW_ORNT_NORTH        314
#define MNU_SW_SIZE              320
#define MNU_SW_SMALL             321
#define MNU_SW_LARGE             322
#define MNU_SW_FITICONS          323
#define MNU_SW_CUSTOM            324
#define MNU_SW_CHECK_PID         325
#define MNU_SW_CHECK_VIS         326
#define MNU_SW_CHECK_JUMP        327
#define MNU_SW_TSK_MENU          340
#define MNU_SW_TSK_INFO          341
#define MNU_SW_TSK_CLOSE         342
#define MNU_SW_EXC               343
#define MNU_SW_EXC_CREATE        344
#define MNU_SW_EXC_EDIT          345
#define MNU_SW_EXC_REMOVE        346
#define MNU_SW_TSK_WINDOW        350
#define MNU_SW_TSKW_FIRST        351
#define MNU_SW_TSKW_REST         351
#define MNU_SW_TSKW_MOVE         352
#define MNU_SW_TSKW_SIZE         353
#define MNU_SW_TSKW_MIN          354
#define MNU_SW_TSKW_MAX          355
#define MNU_SW_TSKW_HIDE         356
#define MNU_SW_TSKW_MENU         357
#define MNU_SW_TSKW_LAST         357
#define MNU_SW_NOTOP             360
#define MNU_SW_TOPMOST           361
#define MNU_SW_POPUP             362
#define MNU_SW_POPUP2            363
#define MNU_SW_BIND_OFF          365
#define MNU_SW_BIND_NW           366
#define MNU_SW_BIND_NE           367
#define MNU_SW_BIND_SW           368
#define MNU_SW_BIND_SE           369
#define MNU_SW_LOCKPOSITION      370
#define MNU_SW_SWITCHLISTTITLES  371
#define MNU_SW_FIXED_SIZE        372
#define MNU_SW_RESIZE            373

#define DLG_ABOUT                410
#define D_Version                421
#define D_Copyright              422
#define D_Email                  423

#define DLG_TASK                 500
#define D_Info_Icon                1
#define D_Info_Title             511
#define D_Info_HPROG0            512
#define D_Info_HPROG1            513
#define D_Info_PID0              514
#define D_Info_PID1              515
#define D_Info_SID0              516
#define D_Info_SID1              517
#define D_Info_Vis0              518
#define D_Info_Vis1              519
#define D_Info_Jump0             520
#define D_Info_Jump1             521
#define D_Info_PType0            522
#define D_Info_PType1            523
#define D_Info_HWND0             524
#define D_Info_HWND1             525
#define D_Info_STYLE0            526
#define D_Info_STYLE1            527

#define BMP_Q                       600

#define DLG_FLT_OTHER               700
#define D_Check_PID                 701
#define D_Check_Vis                 702
#define D_Check_Jump                703
#define D_Filter_New                705
#define D_Filter_Edit               706
#define D_Filter_Clone              707
#define D_Filter_Remove             708
#define D_Filter_Enable             709

#define DLG_FILTERS                 800
#define D_Filter_List               704
#define D_Filter_TitleT             805
#define D_Filter_Title              806
#define D_Filter_Invisible          807
#define D_Filter_NonJumpable        808
#define D_Filter_Border             809
#define D_Filter_Hide4SwOnlyT       810
#define D_Filter_Hide4SwOnly        811

#define MNU_SW_ALIEN0              1000
#define MNU_SW_ALIEN1              1127
#define MNU_SW_TASKLIST0           1128

// Should be the greatest number
#define IDM_TASK                   2000
